import { MockAdapter } from '../mock-adapter';
const mock = MockAdapter.getInstance();

import Mock from 'mockjs'

// 获取studio链接数据
mock.onGet('./assets/json/view-config.json').reply((config: any) => {
    let status = MockAdapter.mockStatus(config);
    return [status,{
                "orguserpickupview": {
            "title": "组织用户数据选择视图",
            "caption": "组织用户",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "r7rt_org",
            "viewname": "OrgUserPickupView",
            "viewtag": "04560cae2c5924de2c27f36db19d1920"
        },
        "imms_20_70editview": {
            "title": "重要事项编辑视图(审批中_业务协作)",
            "caption": "重要事项",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HT",
            "viewname": "IMMS_20_70EditView",
            "viewtag": "049e013173a10f71cd4f51cd4402ecd8"
        },
        "orgusermpickupview": {
            "title": "组织用户数据多项选择视图",
            "caption": "组织用户",
            "viewtype": "DEMPICKUPVIEW",
            "viewmodule": "r7rt_org",
            "viewname": "OrgUserMPickupView",
            "viewtag": "058bc248eb31cf53254628c5b8ca23dc"
        },
        "wfbmwfdataredirectview": {
            "title": "WFBM系统流程数据重定向视图",
            "caption": "重要事项",
            "viewtype": "DEWFDATAREDIRECTVIEW",
            "viewmodule": "HTWF",
            "viewname": "WFBMWFDataRedirectView",
            "viewtag": "082da115df874a7b737dc29ada780619"
        },
        "fjeditview": {
            "title": "附件编辑视图",
            "caption": "附件",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HT",
            "viewname": "FJEditView",
            "viewtag": "09f0ac07d3ba5b0b757acce84fb3d524"
        },
        "imms_20_20editview": {
            "title": "重要事项编辑视图(审批中_上级部门审批)",
            "caption": "重要事项",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HT",
            "viewname": "IMMS_20_20EditView",
            "viewtag": "0e16ca47d851e642bebe919701ce79b7"
        },
        "wfaseditview": {
            "title": "加签编辑视图",
            "caption": "加签",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HTWF",
            "viewname": "WFASEditView",
            "viewtag": "101631a1fa51c7c47555541d65173a12"
        },
        "bcgridview9": {
            "title": "业务协作表格视图",
            "caption": "业务协作",
            "viewtype": "DEGRIDVIEW9",
            "viewmodule": "HT",
            "viewname": "BCGridView9",
            "viewtag": "1a1845402b6b3909bf403bdf3f7e92e7"
        },
        "orgdeptmpickupview": {
            "title": "部门数据多项选择视图",
            "caption": "部门",
            "viewtype": "DEMPICKUPVIEW",
            "viewmodule": "r7rt_org",
            "viewname": "OrgDeptMPickupView",
            "viewtag": "1e49a0058b3d7cc3238067be3539fccd"
        },
        "bcms_30editview3": {
            "title": "业务协作编辑视图(已完成)",
            "caption": "业务协作",
            "viewtype": "DEEDITVIEW3",
            "viewmodule": "HT",
            "viewname": "BCMS_30EditView3",
            "viewtag": "2156c30d50301491821902ba77d127ca"
        },
        "orgdeptpickupgridview": {
            "title": "部门选择表格视图",
            "caption": "部门",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "r7rt_org",
            "viewname": "OrgDeptPickupGridView",
            "viewtag": "21b17d27919e7a4dd7382d5e320f142b"
        },
        "wfiaactionaddstepafteroptionview": {
            "title": "后加签",
            "caption": "后加签",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "r7rt_wf",
            "viewname": "WFIAActionAddStepAfterOptionView",
            "viewtag": "224800766717b8763e5ac7eedf60ea97"
        },
        "wfstepdataeditview": {
            "title": "流程步骤信息编辑视图",
            "caption": "流程步骤信息",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "r7rt_wf",
            "viewname": "WFSTEPDATAEditView",
            "viewtag": "2550391a194c246e1821bc313dc299ef"
        },
        "imms_20_40editview": {
            "title": "重要事项编辑视图(审批中_部门会签)",
            "caption": "重要事项",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HT",
            "viewname": "IMMS_20_40EditView",
            "viewtag": "2823d1e449821ecbc02ee7a25710cc6c"
        },
        "wfimeditview": {
            "title": "WFIM编辑视图",
            "caption": "重要事项",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HTWF",
            "viewname": "WFIMEditView",
            "viewtag": "314a22d571b37bdcaa4ed4edaf5bc763"
        },
        "fjgridview9": {
            "title": "附件表格视图",
            "caption": "附件",
            "viewtype": "DEGRIDVIEW9",
            "viewmodule": "HT",
            "viewname": "FJGridView9",
            "viewtag": "355bca5a7249267b1d86d33e6529716f"
        },
        "wfimwfim_w10_wfeditview3": {
            "title": "WFIM工作流视图(重要事项审批v1:部门内审核)",
            "caption": "重要事项",
            "viewtype": "DEWFEDITVIEW3",
            "viewmodule": "HTWF",
            "viewname": "WFIMWFIM_W10_WFEditView3",
            "viewtag": "3ace1ef4022b5008804bdd31405c5c19"
        },
        "wfbmwfbm_w10_wfeditview3": {
            "title": "WFBM工作流视图(部门内审核v1:相关人员审批)",
            "caption": "重要事项",
            "viewtype": "DEWFEDITVIEW3",
            "viewmodule": "HTWF",
            "viewname": "WFBMWFBM_W10_WFEditView3",
            "viewtag": "3c6cdae8a1e20367d94d2886f230795b"
        },
        "wfbmeditview2": {
            "title": "WFBM编辑视图",
            "caption": "重要事项",
            "viewtype": "DEEDITVIEW2",
            "viewmodule": "HTWF",
            "viewname": "WFBMEditView2",
            "viewtag": "435bc3ad18b026813e7b798c6fa30101"
        },
        "wfbcwfproxydataview": {
            "title": "WFBC流程代理数据视图",
            "caption": "业务协作",
            "viewtype": "DEWFPROXYDATAVIEW",
            "viewmodule": "HTWF",
            "viewname": "WFBCWFProxyDataView",
            "viewtag": "4616d85f65b8847709b46fd26b9cba1f"
        },
        "wfstepdatawfdatagridview9": {
            "title": "流程步骤信息表格视图",
            "caption": "流程步骤信息",
            "viewtype": "DEGRIDVIEW9",
            "viewmodule": "r7rt_wf",
            "viewname": "WFSTEPDATAWFDataGridView9",
            "viewtag": "4ec04b6d62ed529621edd61a299ff9b5"
        },
        "orguserpickupgridview": {
            "title": "组织用户选择表格视图",
            "caption": "组织用户",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "r7rt_org",
            "viewname": "OrgUserPickupGridView",
            "viewtag": "514db2b5fc7d58b6bf7da9a72aade4b1"
        },
        "wfbcwfbc_w10_wfeditview3": {
            "title": "WFBC工作流视图(业务协作审批v1:部门领导审批)",
            "caption": "业务协作",
            "viewtype": "DEWFEDITVIEW3",
            "viewmodule": "HTWF",
            "viewname": "WFBCWFBC_W10_WFEditView3",
            "viewtag": "5bab8034a1777511b3f63aca5074cea0"
        },
        "wfbcwfdataredirectview": {
            "title": "WFBC系统流程数据重定向视图",
            "caption": "业务协作",
            "viewtype": "DEWFDATAREDIRECTVIEW",
            "viewmodule": "HTWF",
            "viewname": "WFBCWFDataRedirectView",
            "viewtag": "5cc91391cf36418b35719a54969d50a5"
        },
        "wfiaactionaddstepbeforeoptionview": {
            "title": "前加签",
            "caption": "前加签",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "r7rt_wf",
            "viewname": "WFIAActionAddStepBeforeOptionView",
            "viewtag": "5f7b970d263fc5d0b4a673a2878bc366"
        },
        "wfiaactionsendbackoptionview": {
            "title": "回退",
            "caption": "回退",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "r7rt_wf",
            "viewname": "WFIAActionSendbackOptionView",
            "viewtag": "69096f7af88d58359650c1b6bab8b1dd"
        },
        "wfimwfim_2w10_wfeditview3": {
            "title": "重要事项工作流视图(重要事项审批v2:部门内审核)",
            "caption": "重要事项",
            "viewtype": "DEWFEDITVIEW3",
            "viewmodule": "HTWF",
            "viewname": "WFIMWFIM_2W10_WFEditView3",
            "viewtag": "6c3ddfd600e99b0d74e928cfe8e2d53a"
        },
        "imms_20_60editview": {
            "title": "重要事项编辑视图(审批中_公司领导审批)",
            "caption": "重要事项",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HT",
            "viewname": "IMMS_20_60EditView",
            "viewtag": "6d32d96204a8516d92b228f776f1a945"
        },
        "imms_20_30editview": {
            "title": "重要事项编辑视图(审批中_分送)",
            "caption": "重要事项",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HT",
            "viewname": "IMMS_20_30EditView",
            "viewtag": "6d75f1454e9f813a7e4317b48e7f8fa6"
        },
        "bcms_10editview3": {
            "title": "业务协作编辑视图(拟稿)",
            "caption": "业务协作",
            "viewtype": "DEEDITVIEW3",
            "viewmodule": "HT",
            "viewname": "BCMS_10EditView3",
            "viewtag": "6fa5f2c5cd35e4697b924b4fe9c9e2c6"
        },
        "imms_20_80editview": {
            "title": "重要事项编辑视图(审批中_首席风险官审批)",
            "caption": "重要事项",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HT",
            "viewname": "IMMS_20_80EditView",
            "viewtag": "792f118eeed7c669117ffac676f867af"
        },
        "wfasms_40editview3": {
            "title": "加签编辑视图(已取消)",
            "caption": "加签",
            "viewtype": "DEEDITVIEW3",
            "viewmodule": "HTWF",
            "viewname": "WFASMS_40EditView3",
            "viewtag": "79eee780ecc83917312c59cb7ca74390"
        },
        "wfimwfim_w30_wfeditview3": {
            "title": "WFIM工作流视图(重要事项审批v1:分送)",
            "caption": "重要事项",
            "viewtype": "DEWFEDITVIEW3",
            "viewmodule": "HTWF",
            "viewname": "WFIMWFIM_W30_WFEditView3",
            "viewtag": "7a717c2551160f735bc5215699b5e712"
        },
        "wfbceditview2": {
            "title": "WFBC编辑视图",
            "caption": "业务协作",
            "viewtype": "DEEDITVIEW2",
            "viewmodule": "HTWF",
            "viewname": "WFBCEditView2",
            "viewtag": "7af1316926763afacb47de8eb4484176"
        },
        "imms_10editview": {
            "title": "重要事项编辑视图(拟稿)",
            "caption": "重要事项",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HT",
            "viewname": "IMMS_10EditView",
            "viewtag": "7bf2b10b8cd2d695260c0fed4c0a5c2a"
        },
        "wfbmwfbm_w20_wfeditview3": {
            "title": "WFBM工作流视图(部门内审核v1:部门领导审批)",
            "caption": "重要事项",
            "viewtype": "DEWFEDITVIEW3",
            "viewmodule": "HTWF",
            "viewname": "WFBMWFBM_W20_WFEditView3",
            "viewtag": "960f62ad426de30f4987ecd652b0797d"
        },
        "wfimwfim_w40_wfeditview3": {
            "title": "WFIM工作流视图(重要事项审批v1:部门会签)",
            "caption": "重要事项",
            "viewtype": "DEWFEDITVIEW3",
            "viewmodule": "HTWF",
            "viewname": "WFIMWFIM_W40_WFEditView3",
            "viewtag": "98f2c578c0949a1a6265089c5aaa49c4"
        },
        "wfaswfproxydataview": {
            "title": "加签流程代理数据视图",
            "caption": "加签",
            "viewtype": "DEWFPROXYDATAVIEW",
            "viewmodule": "HTWF",
            "viewname": "WFASWFProxyDataView",
            "viewtag": "a2603cbec3565de6b793584af62a6c77"
        },
        "bcms_40editview3": {
            "title": "业务协作编辑视图(已取消)",
            "caption": "业务协作",
            "viewtype": "DEEDITVIEW3",
            "viewmodule": "HT",
            "viewname": "BCMS_40EditView3",
            "viewtag": "a7d8d2976cb8c052e4d91682e6f6ae5e"
        },
        "bceditview": {
            "title": "业务协作编辑视图",
            "caption": "业务协作",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HT",
            "viewname": "BCEditView",
            "viewtag": "a7fd23ad9d32d89fe18083a7e82aa922"
        },
        "imms_30editview": {
            "title": "重要事项编辑视图(已完成)",
            "caption": "重要事项",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HT",
            "viewname": "IMMS_30EditView",
            "viewtag": "a92b61f2582d45dc31f3a45a05987b67"
        },
        "wfstepdatadatagridview9": {
            "title": "流程步骤信息表格视图",
            "caption": "流程步骤信息",
            "viewtype": "DEGRIDVIEW9",
            "viewmodule": "r7rt_wf",
            "viewname": "WFSTEPDATADataGridView9",
            "viewtag": "adf62b3c3430567ae44e8f9d63455b3e"
        },
        "imms_20_50editview": {
            "title": "重要事项编辑视图(审批中_跨公司会签)",
            "caption": "重要事项",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HT",
            "viewname": "IMMS_20_50EditView",
            "viewtag": "b11c241fa513af9b0d4987daa05dc806"
        },
        "wfimwfim_d_wfeditview3": {
            "title": "WFIM工作流视图(重要事项审批)",
            "caption": "重要事项",
            "viewtype": "DEWFEDITVIEW3",
            "viewmodule": "HTWF",
            "viewname": "WFIMWFIM_D_WFEditView3",
            "viewtag": "b27f5e2a603afb8659e5cc289cb75bde"
        },
        "bcms_20editview3": {
            "title": "业务协作编辑视图(审批中)",
            "caption": "业务协作",
            "viewtype": "DEEDITVIEW3",
            "viewmodule": "HT",
            "viewname": "BCMS_20EditView3",
            "viewtag": "b59345cdf0c8dcf2c8bae23c38e6974f"
        },
        "wfbmwfproxydataview": {
            "title": "WFBM流程代理数据视图",
            "caption": "WFBM实体工作流代理数据视图",
            "viewtype": "DEWFPROXYDATAVIEW",
            "viewmodule": "HTWF",
            "viewname": "WFBMWFProxyDataView",
            "viewtag": "ba2ddc8e27738865fda2b5cf5fd1536e"
        },
        "wfimwfim_w90_wfeditview3": {
            "title": "WFIM工作流视图(重要事项审批v1:合规总监审批)",
            "caption": "重要事项",
            "viewtype": "DEWFEDITVIEW3",
            "viewmodule": "HTWF",
            "viewname": "WFIMWFIM_W90_WFEditView3",
            "viewtag": "bb50788bc7cb8d8412db3821017c5306"
        },
        "wfbmwfbm_d_wfeditview3": {
            "title": "WFBM工作流视图(部门内审核)",
            "caption": "重要事项",
            "viewtype": "DEWFEDITVIEW3",
            "viewmodule": "HTWF",
            "viewname": "WFBMWFBM_D_WFEditView3",
            "viewtag": "bb84e4f4ac0cbf9dcce048e25cdd3222"
        },
        "wfasms_30editview3": {
            "title": "加签编辑视图(已完成)",
            "caption": "加签",
            "viewtype": "DEEDITVIEW3",
            "viewmodule": "HTWF",
            "viewname": "WFASMS_30EditView3",
            "viewtag": "bde7fbb1eee7eedba365c1375857b235"
        },
        "imms_20editview": {
            "title": "重要事项编辑视图(审批中)",
            "caption": "重要事项",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HT",
            "viewname": "IMMS_20EditView",
            "viewtag": "bed5c3507b3c9d29f3504b0b8b509f72"
        },
        "wfimwfim_w80_wfeditview3": {
            "title": "WFIM工作流视图(重要事项审批v1:首席风险官审核)",
            "caption": "重要事项",
            "viewtype": "DEWFEDITVIEW3",
            "viewmodule": "HTWF",
            "viewname": "WFIMWFIM_W80_WFEditView3",
            "viewtag": "c11303133b56a625d12f6966a9dcf55b"
        },
        "wfimwfim_w50_wfeditview3": {
            "title": "WFIM工作流视图(重要事项审批v1:跨公司会签)",
            "caption": "重要事项",
            "viewtype": "DEWFEDITVIEW3",
            "viewmodule": "HTWF",
            "viewname": "WFIMWFIM_W50_WFEditView3",
            "viewtag": "c327b564235c8a8f0275b1f719e09207"
        },
        "wfimwfim_w20_wfeditview3": {
            "title": "WFIM工作流视图(重要事项审批v1:上级部门审核)",
            "caption": "重要事项",
            "viewtype": "DEWFEDITVIEW3",
            "viewmodule": "HTWF",
            "viewname": "WFIMWFIM_W20_WFEditView3",
            "viewtag": "c3bc61beab25d1b88833a6727a7eb8ae"
        },
        "imms_20_90editview": {
            "title": "重要事项编辑视图(审批中_合规总监审批)",
            "caption": "重要事项",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HT",
            "viewname": "IMMS_20_90EditView",
            "viewtag": "c5acb084123911108bf38f6104545a0d"
        },
        "wfimeditview2": {
            "title": "WFIM编辑视图",
            "caption": "重要事项",
            "viewtype": "DEEDITVIEW2",
            "viewmodule": "HTWF",
            "viewname": "WFIMEditView2",
            "viewtag": "c9bd02d9e1a53505b17eb0ea02922d7a"
        },
        "wfimwfim_w70_wfeditview3": {
            "title": "WFIM工作流视图(重要事项审批v1:业务协作)",
            "caption": "重要事项",
            "viewtype": "DEWFEDITVIEW3",
            "viewmodule": "HTWF",
            "viewname": "WFIMWFIM_W70_WFEditView3",
            "viewtag": "cb56ad938c8cc4416b1be6369b4ba96d"
        },
        "appwfredirectview": {
            "title": "应用流程工作重定向视图",
            "caption": "应用全局流程工作重定向视图",
            "viewtype": "APPWFREDIRECTVIEW",
            "viewmodule": "Ungroup",
            "viewname": "AppWFRedirectView",
            "viewtag": "d8d09f57cd7425a3824f4b497fba2bd4"
        },
        "wfasms_20editview3": {
            "title": "加签编辑视图(审批中)",
            "caption": "加签",
            "viewtype": "DEEDITVIEW3",
            "viewmodule": "HTWF",
            "viewname": "WFASMS_20EditView3",
            "viewtag": "d8f8867c1f3b57936ea04a4436aed9cf"
        },
        "orgdeptpickupview": {
            "title": "部门数据选择视图",
            "caption": "部门",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "r7rt_org",
            "viewname": "OrgDeptPickupView",
            "viewtag": "db036ddeb2f98a48147a44398f73e7b6"
        },
        "wfbcwfbc_d_wfeditview3": {
            "title": "WFBC工作流视图(业务协作审批)",
            "caption": "业务协作",
            "viewtype": "DEWFEDITVIEW3",
            "viewmodule": "HTWF",
            "viewname": "WFBCWFBC_D_WFEditView3",
            "viewtag": "df2634d0af6815465b6e533658d5a6e4"
        },
        "wfimwfproxydataview": {
            "title": "WFIM流程代理数据视图",
            "caption": "重要事项",
            "viewtype": "DEWFPROXYDATAVIEW",
            "viewmodule": "HTWF",
            "viewname": "WFIMWFProxyDataView",
            "viewtag": "e464b0b0fe851bf26f9b17dd848b48d7"
        },
        "wfbceditview": {
            "title": "WFBC编辑视图",
            "caption": "业务协作",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HTWF",
            "viewname": "WFBCEditView",
            "viewtag": "e63be156097920fec3220a8d89fca75d"
        },
        "wfbmeditview": {
            "title": "WFBM编辑视图",
            "caption": "重要事项",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HTWF",
            "viewname": "WFBMEditView",
            "viewtag": "e9bf1f89c5c13184524e9507e6a48c64"
        },
        "imms_20_10editview": {
            "title": "重要事项编辑视图(审核中_部门内审批)",
            "caption": "重要事项",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HT",
            "viewname": "IMMS_20_10EditView",
            "viewtag": "e9f97b41d442d7275172b0a6a8feefcb"
        },
        "imeditview": {
            "title": "重要事项编辑视图",
            "caption": "重要事项",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HT",
            "viewname": "IMEditView",
            "viewtag": "f257df96a5760b314b7717dad7979e7e"
        },
        "wfimwfdataredirectview": {
            "title": "WFIM系统流程数据重定向视图",
            "caption": "重要事项",
            "viewtype": "DEWFDATAREDIRECTVIEW",
            "viewmodule": "HTWF",
            "viewname": "WFIMWFDataRedirectView",
            "viewtag": "f631e5fd99bc6659feed168a22fec026"
        },
        "wfaswfas_w10_wfeditview3": {
            "title": "加签工作流视图(加签v1:加签)",
            "caption": "加签",
            "viewtype": "DEWFEDITVIEW3",
            "viewmodule": "HTWF",
            "viewname": "WFASWFAS_W10_WFEditView3",
            "viewtag": "fb7c3df55164bd5a6d2b20d2c3ff2ec6"
        },
        "indexview": {
            "title": "流程应用",
            "caption": "流程应用",
            "viewtype": "APPINDEXVIEW",
            "viewmodule": "Ungroup",
            "viewname": "IndexView",
            "viewtag": "fc0ad198961c4c7cccd1006eedc71fcd"
        }
    }];
});